/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.ejbfacade;

import com.evasion.exception.PersistenceViolationException;
import com.evasion.ejb.local.UserDetailsServiceLocal;
import com.evasion.ejb.remote.UserDetailsServiceRemote;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.springframework.security.userdetails.UserDetails;

/**
 *
 * @author sebastien.glon
 */
@Stateless
@Local(value = UserDetailsServiceLocal.class)
@Remote(value = UserDetailsServiceRemote.class)
public class UserDetailsService implements UserDetailsServiceLocal, UserDetailsServiceRemote {

    @PersistenceContext(unitName = "EvasionPU")
    private EntityManager em;

    @Override
    public UserDetails loadUserByUsername(String login) throws PersistenceViolationException {
        return (new com.evasion.plugin.security.UserDetailsService(em)).loadUserByUsername(login);
    }
}
