/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.ejbfacade;

import com.evasion.entity.Civilite;
import com.evasion.entity.Person;
import com.evasion.plugin.person.PersonEJB;
import com.evasion.ejb.local.PersonManagerLocal;
import com.evasion.ejb.remote.PersonManagerRemote;
import java.util.Date;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author user
 */
@Stateless
@Local(value = PersonManagerLocal.class)
@Remote(value = PersonManagerRemote.class)
public class PersonManager implements PersonManagerLocal, PersonManagerRemote {

    @PersistenceContext(unitName = "EvasionPU")
    private EntityManager em;

    @Override
    public Person createPerson(Person p) {
        return (new PersonEJB(em)).createPerson(p);
    }

    @Override
    public void deletePerson(Person p) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Person updatePerson(Person p) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Long saveIndividual(Long id, Civilite civ, String nom, String prenom, Date naissance, String email) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void saveCorporation(String nom, Byte logo, String email) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
